# List transfers

Endpoint: GET /v1/domains/{domainId}/transactions/transfers
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Entity id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.

  - `sortOrder` (string)
    Sort order applied to the query results.

  - `transactionId` (string)
    Return entities matching given transactionId.

  - `tickerId` (string)
    Return entities matching given tickerId.

  - `quarantined` (boolean)
    Deprecated: use quarantineStatus instead. Return entities matching given quarantined status.

  - `quarantineStatus` (string)
    Return entities matching given quarantine status. Values: Quarantined, Released, Skipped.

  - `kind` (string)
    Return entities matching given kind.

  - `accountId` (string)
    Return entities matching given accountId.

  - `recipient.accountId` (array)
    Return entities matching given recipient accountIds.

  - `registeredAt.lt` (string)
    Return only results registered before the given date/time (lt=less than)

  - `registeredAt.gt` (string)
    Return only results registered after the given date/time (gt=greater than)

  - `recipient.addressDetails.address` (array)
    Return results where recipient's address contains or equals provided address.

  - `ticker.ledgerId` (array)
    Return entities matching given ledger.

  - `ticker.validationStatus` (string)
    Return transfers with ticker matching the requested validation status

  - `ticker.lock` (array)
    Return transfers with ticker matching given lock status.

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.transactionId` (string)

  - `items.tickerId` (string, required)

  - `items.quarantined` (boolean, required)

  - `items.quarantineStatus` (string)
    Enum: "Quarantined", "Released", "Skipped"

  - `items.senders` (array, required)

  - `items.senders.domainId` (string, required)

  - `items.senders.accountId` (string, required)

  - `items.senders.addresses` (array)
    Deletion target: Mar. 31st 2027

  - `items.senders.addressesDetails` (array)

  - `items.senders.addressesDetails.address` (string, required)

  - `items.senders.addressesDetails.resolvedEndpoints` (array, required)

  - `items.senders.addressesDetails.resolvedEndpoints.endpointId` (string, required)

  - `items.senders.addressesDetails.resolvedEndpoints.domainId` (string, required)

  - `items.senders.type` (string, required)
    Enum: "Account", "Address"

  - `items.senders.address` (string, required)

  - `items.recipient` (any)

  - `items.recipient.domainId` (string, required)

  - `items.recipient.accountId` (string, required)

  - `items.recipient.address` (string)
    Deletion target: Mar. 31st 2027

  - `items.recipient.type` (string, required)
    Enum: "Account", "Address"

  - `items.recipient.address` (string, required)

  - `items.value` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.kind` (string, required)
    Enum: "Transfer", "Fee", "Recovery"

  - `items.registeredAt` (string, required)

  - `items.metadata` (any, required)

  - `items.metadata.type` (string, required)
    Enum: "Algorand", "Bitcoin", "Canton", "Cardano", "Ethereum", "Hedera", "Solana", "Stellar", "Substrate", "Sui", "Tezos", "Tron", "XRPL"

  - `items.metadata.outputIndex` (integer)

  - `items.metadata.memo` (string)
    String encoded using UTF-8, up to 100-bytes long

  - `items.metadata.memo` (any)

  - `items.metadata.memo.value` (string, required)
    Hex encoded stellar hash.

  - `items.metadata.memo.type` (string, required)
    Enum: "Hash", "Id", "Return", "Text"

  - `items.metadata.memo.value` (string, required)
    This field is a unsigned 64bit integer that can store values in range from 0 to 18446744073709551615.It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.metadata.memo.value` (string, required)
    String encoded using either ASCII or UTF-8, up to 28-bytes long

  - `items.metadata.sourceTag` (integer)

  - `items.metadata.destinationTag` (integer)

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 400:

  - `400` (unknown)
    Invalid request (InvalidRequestError)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Entity or Domain not found (EntityNotFoundError)

## Response 404 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

